%define pkgname django-registration

Name:           python-django-registration
Version:        1.0
Release:        %mkrel 3
Summary:        A user-registration application for Django

Group:          Development/Python
License:        BSD
URL:            http://bitbucket.org/ubernostrum/django-registration
Source0:        https://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
Requires:       python-django

%description
This is a fairly simple user-registration application for Django_, designed to
make allowing user signups as painless as possible.

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf docs/_build/html/.buildinfo

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

#Language files; not under /usr/share, need to be handled manually
(cd $RPM_BUILD_ROOT && find . -name 'django*.[mp]o') |
    %{__sed} -e 's|^.||' | %{__sed} -e \
    's:\(.*/locale/\)\([^/_]\+\)\(.*\.[mp]o$\):%lang(\2) \1\2\3:' \
  >> %{name}.lang

%files -f %{name}.lang
%doc LICENSE AUTHORS CHANGELOG README docs/*
%{python_sitelib}/*.egg-info
%dir %{python_sitelib}/registration
%{python_sitelib}/registration/management
%{python_sitelib}/registration/backends
%{python_sitelib}/registration/tests
%{python_sitelib}/registration/*.py*




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 543349
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0-2.mga4
+ Revision: 498386
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 26 2013 philippem <philippem> 1.0-1.mga4
+ Revision: 472022
- update to 1.0

* Sun Jan 13 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 378706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 04 2012 philippem <philippem> 0.8-1.mga3
+ Revision: 288115
- New upstream release 0.8

* Thu Jan 27 2011 ahmad <ahmad> 0.7-3.mga1
+ Revision: 42406
- imported package python-django-registration


* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.7-3mdv2011.0
+ Revision: 592246
- rebuild for python 2.7

* Fri Feb 12 2010 Jérôme Brenier <incubusss@mandriva.org> 0.7-2mdv2010.1
+ Revision: 505132
- fix summary
- import python-django-registration


